Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.common
Class ThreadManagerResponseImpl

    java.lang.Object
      org.jboss.aspects.asynchronous.common.AsynchronousResponseImpl
          org.jboss.aspects.asynchronous.common.ThreadManagerResponseImpl

All Implemented Interfaces:
  AsynchronousConstants, AsynchronousResponse, ProcessingTime, ThreadManagerResponse

public class ThreadManagerResponseImpl
extends AsynchronousResponseImpl
implements ThreadManagerResponse, AsynchronousConstants

Version:
  `$Revision: 1.2.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Field Summary

Fields inherited from interface org.jboss.aspects.asynchronous.AsynchronousConstants
`CAN_NOT_PROCESS, EXCEPTIONCAUGHT, INTERRUPTED, INVOCATION, NOVALUE, OK, TIMEOUT, UNKNOWN`

Constructor Summary
`ThreadManagerResponseImpl(String id, int code, String reason, Object obj)`
`ThreadManagerResponseImpl(String id, int code, String reason, Object obj, long startTime)`
`ThreadManagerResponseImpl(String id, int code, String reason, Object obj, long startTime, long endTime)`

Method Summary
`long` | `getEndingTime()`
`String` | `getId()`
`long` | `getStartingTime()`
`String` | `toString()`

Methods inherited from class org.jboss.aspects.asynchronous.common.AsynchronousResponseImpl
`getReason, getResponseCode, getResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.aspects.asynchronous.AsynchronousResponse
`getReason, getResponseCode, getResult`

Constructor Detail

### ThreadManagerResponseImpl

    public ThreadManagerResponseImpl(String id,
                                     int code,
                                     String reason,
                                     Object obj)

### ThreadManagerResponseImpl

    public ThreadManagerResponseImpl(String id,
                                     int code,
                                     String reason,
                                     Object obj,
                                     long startTime)

### ThreadManagerResponseImpl

    public ThreadManagerResponseImpl(String id,
                                     int code,
                                     String reason,
                                     Object obj,
                                     long startTime,
                                     long endTime)

Method Detail

### getStartingTime

    public long getStartingTime()

  Specified by:
    `getStartingTime` in interface `ProcessingTime`

### getEndingTime

    public long getEndingTime()

  Specified by:
    `getEndingTime` in interface `ProcessingTime`

### toString

    public String toString()

  Specified by:
    `toString` in interface `AsynchronousResponse`
  Overrides:
    `toString` in class `AsynchronousResponseImpl`

### getId

    public String getId()

  Specified by:
    `getId` in interface `ThreadManagerResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.